using SqlSugar;
using System;

namespace Waste.Domain
{
    /// <summary>
    /// 设备测量有关数据
    /// </summary>
    [SugarTable("W_DeviceResult", TableDescription = "设备测量有关数据", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class W_DeviceResult
    {
        /// <summary>
        /// 设备ID
        /// </summary>
        [SugarColumn(IsPrimaryKey = true)]
        public Guid DeviceId { get; set; }
        /// <summary>
        /// 最近使用的垃圾桶编号
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(50)", ColumnDescription = "最近使用的垃圾桶编号")]
        public string LastTrash { get; set; }

        /// <summary>
        /// 最近使用时间
        /// </summary>
        [SugarColumn(ColumnDescription = "最近使用时间")]
        public DateTime LastHeartTime { get; set; }
        /// <summary>
        /// 最近的记录ID
        /// </summary>
        [SugarColumn(ColumnDescription = "最近的记录ID")]
        public Guid ResultId { get; set; }
    }
}
